Events

Get Event

GET
/v1/events/{event_id}

Get an event

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Path Parameters

event_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/events/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "event_name": "string",  "event_start_date": "2019-08-24",  "event_end_date": "2019-08-24",  "event_street": "string",  "event_city": "string",  "event_state": "string",  "event_postal_code": "string",  "event_country": "string",  "metadata": {    "property1": {},    "property2": {}  },  "insurance_required": true,  "insurance_requirements_type": {},  "purpose": {},  "additional_insured": [    {      "business_name": "string",      "street": "string",      "city": "string",      "state": "string",      "postal_code": "string",      "country": "string"    }  ],  "attributes": {    "room_block_protection": {      "rate": 0.1,      "enabled": true,      "event_type": "INDOOR"    }  }}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}